# Generated by Django 3.2.8 on 2021-11-08 09:11

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('main', '0004_alter_card_image'),
    ]

    operations = [
        migrations.CreateModel(
            name='Character',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('level', models.IntegerField()),
                ('image', models.ImageField(upload_to='character/')),
                ('strenght', models.IntegerField()),
                ('dexterity', models.IntegerField()),
                ('intellect', models.IntegerField()),
                ('cards', models.ManyToManyField(blank=True, related_name='characters', to='main.Card')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='characters', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
